%% Memorability as a function of color

addpath('/Users/Phillip/Documents/Research/Image Memorability/MATLAB code/Analysis/Prediction');
load ('/Users/Phillip/Documents/Research/Image Memorability/MATLAB code/Analysis/Prediction/version_2010_aug_8/datamem')     % load annotations, stats, and precomputed descriptors (this file is generated by the script memory.m)
load('/Users/Phillip/Documents/Research/Image Memorability/Results/expt results/Matlab structured data/sorted_target_data.mat');

%% extract hits and misses
N = length(sorted_target_data);
hits = zeros(N,1);
misses = zeros(N,1);
for i=1:N
    hits(i) =  sorted_target_data{i}.hits;
    misses(i) = sorted_target_data{i}.misses;
end

%% calc hrs
hrs = hits./(hits+misses);

%% get mean colors
cd('/Users/Phillip/Documents/Research/Image Memorability/SUN_MEMORY_crop/');
mean_colors_hsv = zeros(N,3);
for i=1:N
    im = double(imread(strcat('./',sorted_target_data{i}.filepath)));
    mean_colors_hsv(i,:) = GetMeanColorHSV(im);
    i
end

%% plot
subplot(131);
scatter(mean_colors_hsv(:,1), hrs, 50, hsv2rgb(mean_colors_hsv),'filled');
XLabel('Hue');
YLabel('Hit rate');
axis('square');

subplot(132);
scatter(mean_colors_hsv(:,2), hrs, 50, hsv2rgb(mean_colors_hsv),'filled');
XLabel('Saturation');
YLabel('Hit rate');
axis('square');

subplot(133);
scatter(mean_colors_hsv(:,3), hrs, 50, hsv2rgb(mean_colors_hsv),'filled');
XLabel('Value');
YLabel('Hit rate');
axis('square');
