%% Plot objects ranked by exclusion score


%% load paths and data
%{
clear all;

cd('/Users/Phillip/Documents/Research/Image Memorability/'); % cd to base directory for memorability project

addpath('./MATLAB code/Analysis/');
addpath('./MATLAB code/Analysis/Prediction');
addpath('./MATLAB code/Analysis/CWM');
addpath('./MATLAB code/Analysis/Visualization');
addpath('./MATLAB code/Analysis/Humans vs algorithm');
addpath('./MATLAB code/Analysis/Memorability map/Object-based map');
addpath('./MATLAB code/Analysis/Prediction/libsvm-mat-3.0-1');
addpath('/Users/Phillip/Documents/Research/Image Memorability/MATLAB code/Analysis/Memorability map/Object-based map/');

load('./MATLAB code/Analysis/Prediction/version_2010_aug_8/datamem'); % load annotations, stats, and precomputed descriptors (this file is generated by the script memory.m)
load('./Results/expt results/Matlab structured data/sorted_target_data.mat');
load('./MATLAB code/Analysis/Prediction/Pixel Histograms/pixel_histograms');

load('./MATLAB code/Analysis/Random splits/image_train_indices.mat');
load('./MATLAB code/Analysis/Random splits/image_test_indices.mat');

load('./MATLAB code/Analysis/Random splits/subject_hrs1');
load('./MATLAB code/Analysis/Random splits/subject_hrs2');

%}
      

%load('/Users/Phillip/Documents/Research/Image Memorability/MATLAB code/Analysis/Feature analysis/object_exclusion_scores','object_exclusion_scores');


%% recover train/test split
load(['../Analysis/results/' which_date '/mem_maps/mem_maps_train_indices']);
load(['../Analysis/results/' which_date '/mem_maps/mem_maps_test_indices']);
load(['../Analysis/results/' which_date '/mem_maps/avg_object_scores']);
object_exclusion_scores = avg_object_scores;


%% get hit rates
%hrs = subject_hrs1(trial_i,:);
N = size(sorted_target_data,1);
hits = zeros(N,1);
misses = zeros(N,1);
for i=1:N
    hits(i) =  sorted_target_data{i}.hits;
    misses(i) = sorted_target_data{i}.misses;
end
hrs = double(hits./(hits+misses));

N_images = 2222; % ignoring texture images
image_index_list = [];
for i=1:N_images
    if (sorted_target_data{i}.hits + sorted_target_data{i}.misses >= 20)
        image_index_list = [image_index_list; i];
    end
end

hrs = hrs(image_index_list);


%% calculate object presences
min_area = 4000;%4000;
object_presences = (full(Areas(:,mem_maps_train_indices)))>min_area;


%% sort the objectnames by how many times they each appear in images
y = sum(object_presences,2);
[y jj] = sort(y,'descend');

min_num_appearances = 20;%40;
num_objects_to_use = max(find(y>=min_num_appearances));
used_object_indices = jj(1:num_objects_to_use);
frequencies = y(1:num_objects_to_use);


%% build presences
[object_exclusion_scores ii] = sort(object_exclusion_scores(used_object_indices+1),'descend');
jj = used_object_indices(ii);
frequencies = y(ii);

sorted_objectnames = cell(size(jj));
for i=1:length(jj)
    sorted_objectnames{i} = objectnames{jj(i)};
end


%% display
num_rows = floor(sqrt(length(jj)));
num_cols = ceil(length(jj)/num_rows)*2;

%test_set_img = img(:,:,:,test_indices);
%test_set_segments = segments(:,:,test_indices);

% find biggest sample image that contains each object in list
for i=1:length(jj)
    
    subplot(num_rows,num_cols,(i-1)*2+1);
    
    valid_images = Areas(jj(i),mem_maps_test_indices)>=min_area*2.5;
    if (sum(valid_images) == 0)
        disp('warning: no valid images');
    end
    
    hrs_curr = hrs(mem_maps_test_indices);
    hrs_curr(~valid_images) = nan;
    [m1 m1_i] = max(hrs_curr);
    [m2 m2_i] = min(hrs_curr);
    
    imshow(img(:,:,:,mem_maps_test_indices(m1_i)));
    
    subplot(num_rows,num_cols,i*2);
    imshow(img(:,:,:,mem_maps_test_indices(m2_i)));
    
    %[m m_i] = max(Areas(jj(i),test_indices));
    %imshow(test_set_img(:,:,:,m_i).*repmat(uint8(test_set_segments(:,:,m_i)==(jj(i))),[1 1 3]));
    title(sprintf('%s\nexclusion score = %2.2f', objectnames{jj(i)}, 100*object_exclusion_scores(i)));
    
end


%%
print('-dpsc', fullfile('../Analysis/plots/',which_date,'objects_sorted_by_exclusion_score.eps'));
close all;



%% frequency analysis
PlotFeatureFrequencyVersusScore2(frequencies,object_exclusion_scores);

%%
print('-dpsc', fullfile('../Analysis/plots/',which_date,'object_frequency_vs_exclusion_score_on_26_most_common_objects.eps'));
close all;

